Bug 248358 - Review Request: kde-filesystem - KDE filesystem layout
Review Request: kde-filesystem - KDE filesystem layout
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-16 08:43 EDT by Rex Dieter
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.5-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-10 15:06:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
wtogami: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2007-07-16 08:43:13 EDT
Should help alleviate a few package's Requires: that exist only for directory ownership.

Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kde-filesystem/kde-filesystem.spec
SRPM URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kde-filesystem/kde-filesystem-3.5-6.src.rpm
Description: This package provides some directories that are required/used by KDE.

* Fri Dec 01 2006 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5-6
- + %%_datadir/templates (kdebase,koffice)

* Wed Oct 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-5
- + %%_datadir/icons/locolor

* Tue Oct 17 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-4
- drop/omit %%_datadir/locale/all_languages

* Fri Oct 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-3
- + %%_datadir/desktop-directories
- + %%_datadir/locale/all_languages

* Thu Oct 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-2
- + %%_datadir/applnk/.hidden
- + %%_sysconfdir/kde/kdm
- + %%docdir/HTML/en

* Wed Oct 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-1
- first try
Comment 1 Rex Dieter 2007-07-16 08:46:12 EDT
This would presumably be Requires'd by kdelibs (and/or kde-settings ?)
Comment 2 Kevin Kofler 2007-07-16 08:47:52 EDT
If this is for F8, 3.5 might not be that great a version number to use. ;-)
Comment 3 Rex Dieter 2007-07-16 08:53:00 EDT
I considered that, but does version really matter?  It could be Version:
594854587 for all I care. :)
Comment 4 Kevin Kofler 2007-07-16 22:45:51 EDT
Reviewing this one.
Comment 5 Kevin Kofler 2007-07-16 22:58:15 EDT
MUST Items:
! rpmlint output:
> W: kde-filesystem no-url-tag
OK, makes sense for a package like that.
> W: kde-filesystem mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 3)
OK, not a real issue, you may want to be consistent, but it doesn't really 
noarch RPM:
> W: kde-filesystem no-documentation
OK, no documentation needed for a package like that.
> W: kde-filesystem hidden-file-or-dir /usr/share/applnk/.hidden
> W: kde-filesystem hidden-file-or-dir /usr/share/applnk/.hidden
OK, this one is really wanted.
> E: kde-filesystem standard-dir-owned-by-package /usr/share/icons
! This one is already owned by filesystem, please omit.
> W: kde-filesystem no-url-tag
OK, see above.
+ named and versioned according to the Package Naming Guidelines
+ spec file name matches base package name
+ Packaging Guidelines:
  + License Public Domain OK
  + No patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
  + Complies with the FHS
  + proper changelog, tags, BuildRoot, Requires, BuildRequires, Summary, 
  + no non-UTF-8 characters
  + no relevant documentation which would need to be included
  + nothing to compile, so RPM_OPT_FLAGS, debuginfo, static libraries, .la 
files, duplicated system libraries, rpaths, _smp_mflags don't apply
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + no executables, so no .desktop file present or needed
  + no timestamp-clobbering file commands
  + scriptlets are valid
  + not a web application, so web application guideline doesn't apply
  + no conflicts
+ complies with all the legal guidelines
+ no license which would need including (public domain)
+ spec file written in American English
+ spec file is legible
+ no source, so no need to check against upstream
+ builds on at least one arch (F7 i386 live system, FC6 i386 mock, Rawhide i386 
+ no non-working arches, so no ExcludeArch needed
+ no build dependencies which would need listing as BuildRequires
+ locales handled properly (with %lang specifications)
+ no shared libraries, so need to call ldconfig
+ package not relocatable
! ownership correct (owns package-specific directories, doesn't own directories 
owned by another package) except for %{_datadir}/icons as found by rpmlint
+ no duplicate files in %files
+ permissions set properly
+ %clean section present and correct
+ macros used where possible
+ no non-code content
+ no large documentation files, so no -doc package needed
+ no %doc files, so no possible issues with %doc files required at runtime
+ no header files or .so symlinks which would need a -devel package
+ no static libraries, so no -static package needed
+ no .pc files, so no Requires: pkgconfig needed
+ no .la files
+ no GUI programs (in fact, no executables at all), so no .desktop file needed
+ buildroot is deleted at the beginning of %install
  But I strongly recommend a:
  after the:
  rm -rf $RPM_BUILD_ROOT
  to prevent a potential symlink attack as pointed out by the OpenSUSE folks.
+ all filenames are valid UTF-8

SHOULD Items: 
+ no license which would need to be included
+ no translations for description and summary provided by upstream
+ builds in mock (tested FC6 i386 with Plague results and Rawhide i386, both on 
F7 build host)
* skipping the "all architectures" test, I only have i386. There's nothing 
potentially arch-specific in the package anyway
+ package only creates directories, so no functionality test needed
+ scriptlets are sane
+ no subpackages, so "Usually, subpackages other than devel should require the 
base package using a fully versioned dependency." is irrelevant
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies

Please remove:
from the file list as this is already owned by the filesystem package. With 
this change, this is APPROVED.

I'd also suggest adding the mkdir $RPM_BUILD_ROOT, but this isn't a blocker.
Comment 6 Rex Dieter 2007-07-17 15:20:44 EDT
Thanks Kevin

New Package CVS Request
Package Name: kde-filesystem
Short Description: KDE filesystem layout
Owners: rdieter@math.unl.edu,than@redhat.com
Branches: F-7
Comment 7 Kevin Kofler 2007-09-10 15:06:10 EDT
Why is this still open? This has been in the repo for a while. Closing.

Note You need to log in before you can comment on or make changes to this bug.